#
# Disable OpenSSL AES-NI support as the evaluation does not cover
# the use of OpenSSL AES-NI due to resource constraints during the
# evaluation.
#
# Note: the disabling is only required for:
#     - sshd
#     - ssh
#     - ssh-keygen
#
# You MAY unset the following environment variable for any other application
#
# The following environment variable disables the use of the AES-NI
# Intel processor instruction set. This is required by BSI as the AES-NI
# instruction set was not subject to evaluation.
#
export OPENSSL_DISABLE_AESNI=1
readonly OPENSSL_DISABLE_AESNI

#
# ssh / ssh-keygen use of /dev/random as seed source
# You MUST enable the following lines to be compliant with the
# requirements of the evaluated configuration. For a description of this
# configuration and its implication, see /etc/sysconfig/sshd. Use the
# 'readonly' setting to ensure that all users are required to use this
# variable.
#
export SSH_USE_STRONG_RNG=12
readonly SSH_USE_STRONG_RNG
